Bug 187041

Summary: JJ: Inconsistency in folder search
Product: [Applications] kmail Reporter: Ruchir Brahmbhatt <ruchir.brahmbhatt>
Component: new folder treeAssignee: Szymon Stefanek <pragma>
Status: RESOLVED FIXED    
Severity: normal CC: jtamate, vincent.touffi
Priority: NOR    
Version: 1.11.1   
Target Milestone: ---   
Platform: OpenSUSE   
OS: Unspecified   
Latest Commit: Version Fixed In:
Attachments: a patch

Description Ruchir Brahmbhatt 2009-03-13 12:29:14 UTC
Version:           1.11.1 (using KDE 4.2.1)
Installed from:    SuSE RPMs

When we filter the folders and quit kmail, kmail shows filtered folders only when restarted and to see all folders, we have to type any keyword and clear it.

Steps to reproduce:
1. Open kmail.
2. Type keyword in folder filter box.
3. This will show folders matching in account. 
4. Quit kmail.
5. Open kmail again.

Actual result:
It shows filtered folders only. Filter keyword is not shown so in order to see all folders again, we have to enter any keyword and then clear it.

Expected result:
Either it should clear filter and show full mailbox or it should show keywords also with option to clear which brings back all folders in mailbox.

Reproducible: Always
Comment 1 Jaime Torres 2009-03-13 17:41:06 UTC
Confirmed in kde 4.2.65
Comment 2 Vincent Dupont 2009-05-20 23:13:03 UTC
Created attachment 33877 [details]
a patch

This patch applies to kmail/kmmainwidget.cpp
Comment 3 Thomas McGuire 2009-05-21 14:06:28 UTC
Hi Vincent,

thanks for the patch. While it fixes the issue, I'm not sure if that is the best way to do it. I haven't tested this yet, but doesn't it flicker when saving the tree, or slow down? Another approach might be to not save the visible/hidden state of items in FolderView::saveItemStates(), I see no reason why this should be useful.

Could you please use reviewboard for the next iteration of the patch? See http://techbase.kde.org/Contribute/Send_Patches#Reviewboard
Comment 4 Thomas McGuire 2009-05-22 12:46:27 UTC
SVN commit 971322 by tmcguire:

Don't hide some folders when restarting KMail after it was quit with having a quick search active.

Patch by Vincent Dupont <vincent.touffi at gmail dot com>, thank you!

BUG: 187041
http://reviewboard.kde.org/r/743/


 M  +0 -2      folderview.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=971322
Comment 5 Thomas McGuire 2009-05-25 21:03:22 UTC
SVN commit 972824 by tmcguire:

Backport r971322 by tmcguire from trunk to the 4.2 branch:

Don't hide some folders when restarting KMail after it was quit with having a quick search active.

Patch by Vincent Dupont <vincent.touffi at gmail dot com>, thank you!

CCBUG: 187041
http://reviewboard.kde.org/r/743/



 M  +0 -2      folderview.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=972824